flex-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Alex Harui <aha...@adobe.com>
Subject Re: Jenkins build is still unstable: flex-sdk_test #432
Date Thu, 24 Dec 2015 06:29:19 GMT
The workspace for FlexUnit still shows both swcs.  Maybe it doesn't clean
up old ones?  Anyway, I think that's why the last run still didn't pass.

On 12/23/15, 6:17 AM, "Mihai Chira" <mihai.chira@gmail.com> wrote:

>Cool. Instead of specifying the swc, though, I got the flexunit
>build.xml to (temporarily) stop compiling the as3 version. This should
>achieve the same purpose. (I did this on the develop branch, I guess
>that's the one we're using on CI?)
>
>On 22 December 2015 at 17:06, Alex Harui <aharui@adobe.com> wrote:
>>
>>
>> On 12/22/15, 2:59 AM, "Mihai Chira" <mihai.chira@gmail.com> wrote:
>>
>>>>
>>>> If the answer
>>>> is to explicitly list the SWCs, that should be straightforward to do.
>>>
>>>I suggest that we try to see what happens if we just include the flex
>>>version of the swc. My guess is that all the unit tests will pass,
>>>suggesting that the right version of UIImpersonator is used, and that
>>>no other unit tests were impacted by the change. We can revert at any
>>>point if other tests fail, of course.
>>>If you think it's a good idea, could you please make the change? That,
>>>or let me know what I'd need to edit, because I don't know.
>>
>> I took a look at the build scripts.  In flexunit-tests.xml seems to be
>> using a <flexunit> Ant task with a <library> option.  I've never used
>>that
>> before, but I would suggest trying to specify the swc you want instead
>>of
>> just using the target folder which has both swcs.
>>
>> -Alex
>>

Mime
View raw message